/*
 * Created on Apr 13, 2003
 *
 * FileFilter for all files.
 */
package CH.ifa.draw.io;

import java.io.File;


/**
 * This FileFilter accepts all file types.
 *
 * @author Lawrence Cabac
 * @deprecated This class is not to be used externally and will later be hidden.
 */
@Deprecated(since = "5.0", forRemoval = true)
public class NoFileFilter extends SimpleFileFilter {

    /**
     * Constructs and sets up NoFileFilter.
     */
    public NoFileFilter() {
        this.setExtension("");
        this.setDescription("No Specific File Type");
    }

    @Override
    public boolean accept(File f) {
        return true;
    }
}